# encoding: utf-8

require 'datasumz/version'
require 'datasumz/core_extensions/enumerable'
require 'datasumz/describer'
require 'datasumz/frequency'

module DataSumz
  class << self

    # Generates common central tendency statistics and measures of
    # dispersion for numerical data.
    #
    # @return [Hash]
    def descr(array)
      d = Describer.new(array)
      d.describe
    end # def descr

    # Generates a table of frequencies with counts and percentages.
    #
    # @return [Hash]
    def freq(array)
      f = Frequency.new(array)
      f.compute
    end # def freq
  end # class Self
end # module DataSumz