# encoding: utf-8

module DataSumz
  class Frequency

    attr_reader :data

    private

    def initialize(_data)
      @data = _data
    end # def initialize

    def compute
      table = Hash.new(Array.new)
      total = @data.length
      hist = @data.each_with_object(Hash.new(0)){ |m,h| h[m] += 1 }.sort_by{ |k,v| v }
      hist.each do |bin|
        name  = bin[0]
        n = bin[1]
        per_total = ((n.to_f / total.to_f) * 100).round(2)
        table[name] = [n, per_total]
      end
      table
    end # def compute

    public(:initialize, :compute)
  end # class Frequency
end # module DataSumz